struct DrawConstants
{
    float x;
    float y;
};
ConstantBuffer<DrawConstants> scale : register(b0, space0);

struct PSInput
{
    float4 position : SV_POSITION;
    nointerpolation float4 lrud : POSITION1;
};

PSInput VSMain(float4 position : POSITION0, float4 opp : POSITION1, uint borderud : COLOR)
{
    PSInput result;

    result.position = position;
    result.position.x = (result.position.x / scale.x/*1280*/) - 1.0f;
    result.position.y = (result.position.y / scale.y/*-720*/) + 1.0f;
 
    //result.corner = float4(corner.x, corner.y, 0.0f, 0.0f);
    result.lrud = float4(min(position.x, opp.x), max(position.x, opp.x), ((borderud&1)?min(position.y,opp.y):1.#INF), ((borderud&2)?max(position.y, opp.y):1.#INF));

    return result;
}

float4 PSMain(PSInput input) : SV_TARGET
{
    if ((input.lrud.x - 2 < input.position.x && input.position.x < input.lrud.x + 2) ||
        (input.lrud.y - 2 < input.position.x && input.position.x < input.lrud.y + 2) ||
        (input.lrud.z - 2 < input.position.y && input.position.y < input.lrud.z + 2) ||
        (input.lrud.w - 2 < input.position.y && input.position.y < input.lrud.w + 2))
        /*return float4(0.007843f,
    0.168627f,
    0.0f,
    1.0f);*/
        return float4(0.212f, 0.812f, 0.38f, 1.0f);
    else return float4(0.0f, 0.0f, 0.0f, 0.0f);
}