struct DrawConstants
{
    float x;
    float y;
};
ConstantBuffer<DrawConstants> scale : register(b0, space0);

struct PSInput
{
    float4 position : SV_POSITION;
    float color : COLOR;
};

PSInput VSMain(float4 position : POSITION, float4 color : COLOR)
{
    PSInput result;

    result.position = position;
    result.position.x = (result.position.x / scale.x/*1280*/) - 1.0f;
    result.position.y = (result.position.y / scale.y/*-720*/) + 1.0f;
    result.color = color.r;

    return result;
}

float4 PSMain(PSInput input) : SV_TARGET
{
    float4 ret;
    ret.r = ret.g = ret.b = ret.a = input.color;
    return ret;
}